
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#define MAGIC  666

extern double Lots               = 0.1;
extern double TakeProfit         = 30.0;
extern double StopLoss           = 35.0;


// ,                                      
int CalculateCurrentOrders(string symbol)
  {
   int buys=0,sells=0;
   for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false) break;
      if(OrderSymbol()==Symbol() && OrderMagicNumber()==MAGIC)
        {
         if(OrderType()==OP_BUY)  buys++;
         if(OrderType()==OP_SELL) sells++;
        }
     }
   if(buys>0) return(buys);
   else       return(-sells);
  }
//   

void ForOpen()
  {
  double ema120=iMA(NULL,240,12,0,1,1,0);
  double ema121=iMA(NULL,240,12,0,1,1,1);
  double ema122=iMA(NULL,240,12,0,1,1,2);
  double ema260=iMA(NULL,240,26,0,1,1,0);
  double ema261=iMA(NULL,240,26,0,1,1,1);
  double ema262=iMA(NULL,240,26,0,1,1,2);

  if(Volume[0]>1) return;
  if((ema262>ema122)&&(ema261==ema121)&&(ema260<ema120))
  OrderSend(Symbol(),OP_BUY,Lots,Ask,3,StopLoss,TakeProfit,"",MAGIC,0,Green);  
  if((ema122>ema262)&&(ema121==ema261)&&(ema120<ema260))
  OrderSend(Symbol(),OP_SELL,Lots,Bid,3,StopLoss,TakeProfit,"",MAGIC,0,Red);
   return;
  }
 //   
 void ForClose()
{
  double ema120=iMA(NULL,240,12,0,1,1,0);
  double ema121=iMA(NULL,240,12,0,1,1,1);
  double ema122=iMA(NULL,240,12,0,1,1,2);
  double ema260=iMA(NULL,240,26,0,1,1,0);
  double ema261=iMA(NULL,240,26,0,1,1,1);
  double ema262=iMA(NULL,240,26,0,1,1,2);
  
    if(Volume[0]>1) return;
     for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false)        break;
      if(OrderMagicNumber()!=MAGIC || OrderSymbol()!=Symbol()) continue;
  
  if(OrderType()==OP_BUY)
  {
   if((ema122>ema262)&&(ema121==ema261)&&(ema120<ema260))
   OrderClose(OrderTicket(),OrderLots(),Bid,3,White);
   break;
   }
  if(OrderType()==OP_SELL)
  {
   if(ema262>ema122&&(ema261==ema121)&&(ema260<ema120))
   OrderClose(OrderTicket(),OrderLots(),Ask,3,White);
    break;
   }}}
//
void start()
  {
   if(Bars<100 || IsTradeAllowed()==false) return;

   if(CalculateCurrentOrders(Symbol())==0) ForOpen();
   else                                    ForClose();

  }